package com.yd.dal.mapper.customer;

import com.yd.api.practitioner.vo.recruit.PractitionerPotentialInfo;
import com.yd.dal.entity.customer.AclPractitionerPotential;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AclPractitionerPotentialMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclPractitionerPotential record);

    int insertSelective(AclPractitionerPotential record);

    AclPractitionerPotential selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclPractitionerPotential record);

    int updateByPrimaryKey(AclPractitionerPotential record);

    List<AclPractitionerPotential> findByMobileNo(@Param("mobileNo") String mobileNo, @Param("isActive") Integer isActive);

    List<PractitionerPotentialInfo> findByPractitionerIdAndLasted(@Param("practitionerId")Long practitionerId);
}